Subject: [bug#38842] [PATCH 2/3] gnu: Add liquid-dsp.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 01 Jan 2020 23:06:20 +0100

Hi Evan,

> From 71f377a45bfc830ff207cd56fa2d8fe0225a6874 Mon Sep 17 00:00:00 2001
> From: Evan Straw <[email-masked]>
> Date: Tue, 31 Dec 2019 15:31:58 -0800
> Subject: [PATCH 2/3] gnu: Add liquid-dsp.
>
> * gnu/packages/ham-radio.scm (liquid-dsp): New variable.

> +(define-public liquid-dsp
> +  (let ((commit "f11733208e3d0da928a0dc2111cdb2b0c4817cef")
> +        (revision "2")
> +        (version "1.3.2"))

Why this commit and not just the latest release 1.3.2?

> +      (description "liquid-dsp is a free and open-source digital signal
> +processing (DSP) library designed specifically for software-defined radios on
> +embedded platforms. The aim is to provide a lightweight DSP library that does
> +not rely on a myriad of external dependencies or proprietary and otherwise
> +cumbersome frameworks. All signal processing elements are designed to be
> +flexible, scalable, and dynamic, including filters, filter design,
> +oscillators, modems, synchronizers, complex mathematical operations, and much
> +more.")

Please remove “free and open-source” — all software in Guix is free
software, so we don’t need to state it.  Please also use double spacing
after each sentence.

--
Ricardo